Subject: Re: bug#766: 23.0.60; interesting warning during compilation

From: Eli Zaretskii <[email-masked]>
Date: Sat, 23 Aug 2008 22:06:12 +0300

> From: Andreas Schwab <[email-masked]>
> Cc: [email-masked], [email-masked],
> 	[email-masked]
> Date: Sat, 23 Aug 2008 20:56:38 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> From: Andreas Schwab <[email-masked]>
> >> EMACS_INT high_ino = s.st_ino >> 31 >> 1;
> >
> > Thanks.  Can we be reasonably sure that GCC will not become smart
> > enough some day to flag this as well?
> 
> What do you mean with "smart enough"?

Maybe that was a polite way of saying "silly enough".

> There is nothing to flag here.

I meant the warning about shifting by too many bits.  31+1 = 32, and
even a compiler can realize that.

Please don't get me wrong: I will gladly make the change as you
suggested, I just don't want us to bump into this again a few GCC
upgrades down the road.